Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233044 - AEP: unable to failover between multiple CAs
Summary: AEP: unable to failover between multiple CAs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Brian Stevens
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 01:26 UTC by Chandrasekar Kannan
Modified: 2017-04-10 14:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-29 00:08:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chandrasekar Kannan 2007-03-20 01:26:50 UTC
auto-enrollment proxy doesn't failover between multiple CAs as configured. 

Have 2 CA info configured in the auto enrollment proxy. 
I manually shutdown the 1st CA in hopes that the cert enrollment request
would smoothly failover to the 2nd CA. But it did not.

Comment 1 Chandrasekar Kannan 2007-04-21 17:45:07 UTC
Verified with CS 7.3 build 04/20

used windows2003sp1 - child domain to do autoenrollment.
setup failover connections to the following CAs.
  1. CS 71 CA
  2. CS 72 CA

They are both subordinates of the same rootCA.

1. stopped CS71CA. AEP failed over to the 72CA.
2. stopped CS72CA. AEP failover over to the 71CA.

failover caching works ok.


Comment 2 Red Hat Bugzilla 2007-11-05 04:21:27 UTC
User sparkins@redhat.com's account has been closed

Comment 3 Chandrasekar Kannan 2008-08-25 22:54:02 UTC
Bug already CLOSED/VERIFIED. setting screened+ flag


Note You need to log in before you can comment on or make changes to this bug.